Developers
API ReferenceAssigned Task User

Retrieve assigned users for task

GET
/project/tasks/{id}/assigned-task-users

Retrieve assigned users for task

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Task identifier

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30

Response Body

AssignedTaskUser collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/project/tasks/string/assigned-task-users'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "projectUser": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "pictureLg": "string",      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "canLogIn": true,      "phoneNumber": "string",      "jobPositionName": "string",      "hourlyRate": null,      "isExternal": true,      "decorator": "string"    },    "timePlanned": 0,    "role": "none"  }]